Yast modules doesn't start after update

Start yast, try to run any module:

  • Software Managment
  • Services Manager
  • User and Group Management
  • etc…

And nothing happens.
Journalctl typoe this:


Aug 05 13:59:02 Yog-Sothoth sudo[29954]: rusbaron : TTY=pts/3 ; PWD=/home/rusbaron ; USER=root ; COMMAND=/usr/bin/journalctl
Aug 05 13:59:02 Yog-Sothoth sudo[29954]: pam_systemd(sudo:session): Cannot create session: Already running in a session
Aug 05 13:59:02 Yog-Sothoth sudo[29954]: pam_unix(sudo:session): session opened for user root by rusbaron(uid=0)
Aug 05 13:59:02 Yog-Sothoth sudo[29954]: pam_unix(sudo:session): session closed for user root
Aug 05 13:59:23 Yog-Sothoth systemd[1]: Started Process Core Dump (PID 3028/UID 0).
Aug 05 13:59:23 Yog-Sothoth systemd-coredump[3030]: Resource limits disable core dumping for process 2984 (y2start).
Aug 05 13:59:23 Yog-Sothoth systemd-coredump[3030]: Process 2984 (y2start) of user 0 dumped core.
Aug 05 13:59:36 Yog-Sothoth systemd[1]: Started Process Core Dump (PID 8336/UID 0).
Aug 05 13:59:36 Yog-Sothoth systemd-coredump[8340]: Resource limits disable core dumping for process 8334 (y2start).
Aug 05 13:59:36 Yog-Sothoth systemd-coredump[8340]: Process 8334 (y2start) of user 0 dumped core.
Aug 05 13:59:40 Yog-Sothoth systemd[1]: Started Process Core Dump (PID 12061/UID 0).
Aug 05 13:59:40 Yog-Sothoth systemd-coredump[12066]: Resource limits disable core dumping for process 12023 (y2start).
Aug 05 13:59:40 Yog-Sothoth systemd-coredump[12066]: Process 12023 (y2start) of user 0 dumped core.
Aug 05 13:59:45 Yog-Sothoth sudo[14957]: rusbaron : TTY=pts/3 ; PWD=/home/rusbaron ; USER=root ; COMMAND=/usr/bin/journalctl
Aug 05 13:59:45 Yog-Sothoth sudo[14957]: pam_systemd(sudo:session): Cannot create session: Already running in a session
Aug 05 13:59:45 Yog-Sothoth sudo[14957]: pam_unix(sudo:session): session opened for user root by rusbaron(uid=0)

What happen? Where i can find more detail logs? Problem starts on my both devices, thats all upgraded with latest versions.

Have you updated with zypper dup?
There was a change between libyuqt8 libraries and libyuqt9 controls.
For me, Nautilus broke with the latest update

Libraries is libyui-qt8 change in libyui-qt9

All yui modules changed from 8 to 9, but on my last TW dup, instead of all 6 getting the upgrade, 3 got upgraded and 3 got removed.

Exact same thing to me

Just updated one of my TW/KDE,
No problem with YaST modules

cat /etc/os-release NAME="openSUSE Tumbleweed"
# VERSION="20180803"

TSU

Thx dude! I always was afraid when see “to be downgraded” or “to be removed” when running dup, so often use just up

For TW, stay with using only

zypper dup

when upgrading this rolling-release distro.

If you use Tumbleweed, the downgraded and removed are part of the game. Learn to live with it. There’s usually a good reason.